## quassel 0.6.1

=== CMakeLists.txt ===
# This is the cmake-based build system for Quassel IRC.
#
# You may pass various options to cmake:
# -DWANT_(CORE|QTCLIENT|MONO)=(ON|OFF)
#                        : select binaries to build
# -DWITH_OPENSSL=OFF     : Disable OpenSSL support
# -DWITH_DBUS=OFF        : Disable D-Bus support (dbus notifications)
# -DWITH_WEBKIT=OFF      : Disable WebKit support (link previews)
# -DWITH_PHONON=OFF      : Disable Phonon support (audio notifications)
# -DWITH_LIBINDICATE=OFF : Disable libindicate support (Ayatana notifications)
# -DWITH_KDE=ON          : Enable KDE4 support
# -DWITH_OXYGEN=(ON|OFF) : Whether to install Oxygen icons (default: yes, unless KDE > 4.3.0 is present and enabled)
#
# -DEMBED_DATA=ON        : Embed all data files in icons the binary, rather than installing them separately
#
# -DQT=/path/to/qt       : Choose a Qt4 installation to use instead of the system Qt4
# -DSTATIC=ON            : Enable static building of Quassel. Use with care.
# -DDEPLOY=ON            : Mac OS X only. Use only for creating Quassel Packages!
#
# NOTE: You should remove CMakeCache.txt if you plan to change any of these values!

project(QuasselIRC)

# cmake 2.6.2 is required for KDE >=4.2 and should be widespread enough now
cmake_minimum_required(VERSION 2.6.2 FATAL_ERROR)

if(COMMAND cmake_policy)
   cmake_policy(SET CMP0003 NEW)
endif(COMMAND cmake_policy)

# Use our own (well, and KDE's) version of some modules
# In particular cmake's own FindQt4 and FindOpenSSL are quite buggy
set(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake/modules)
include(QuasselMacros)

# Various options and variables that can be set on the command line
option(WANT_CORE     "Build the core (server) binary"           ON)
option(WANT_QTCLIENT "Build the Qt4 GUI client binary"          ON)
option(WANT_MONO     "Build the monolithic (all-in-one) binary" ON)

option(WITH_OPENSSL  "Enable OpenSSL support if present on the system"	ON)
option(WITH_DBUS     "Enable D-Bus support if present on the system"	ON)
option(WITH_WEBKIT   "Enable WebKit support (for link previews)"	ON)
option(WITH_PHONON   "Enable Phonon support (for audio notifications)"	ON)
option(WITH_LIBINDICATE "Enable Ayatana notification support"           ON)
option(WITH_KDE      "Enable KDE4 integration"				OFF)

# We use icon paths from KDE 4.3.x, which are partially invalid on older and possibly
# even on newer KDE versions. Do not disable this unless you are sure that your Quassel will
# run on a matching KDE version only.
set(WITH_OXYGEN AUTO CACHE STRING "Install Oxygen icons (default is \"AUTO\" to install when KDE 4.3 or later is present")

option(STATIC        "Enable static building (might not be portable)" OFF)

if(APPLE)
  option(DEPLOY        "Mac OS X only! Adds required libs to bundle resources and create a dmg. Note: requires Qt to be built with 10.4u SDK" OFF)
endif(APPLE)

# Default to embedding data in the static case
if(STATIC OR WIN32)
  set(EMBED_DEFAULT ON)
else(STATIC OR WIN32)
  set(EMBED_DEFAULT ON) # should be OFF as soon as everything works
endif(STATIC OR WIN32)

option(EMBED_DATA    "Embed all data files in the binary (rather than installing them separately)"   ${EMBED_DEFAULT})

set(QT "" CACHE STRING "Path to a Qt installation to use instead of the system Qt (e.g. for static builds)")

# Some settings imply others
if(STATIC)
  add_definitions(-DSTATIC)
  set(WITH_KDE OFF CACHE BOOL "Static building with KDE is not supported")
endif(STATIC)

if(WIN32)
  # We don't support separately installed resources yet on Win32
  set(EMBED_DATA ON)
endif(WIN32)

# For static builds, arbitrary extra libs might need to be linked
# Define a comma-separated list here
# e.g. for pgsql, we need -DLINK_EXTRA=pq;crypt
set(LINK_EXTRA "" CACHE STRING "Semicolon-separated list of libraries to be linked")
if(LINK_EXTRA)
  string(REPLACE "," ";" LINK_EXTRA ${LINK_EXTRA})
  link_libraries(${LINK_EXTRA})
endif(LINK_EXTRA)

# Build Type
# We need to make sure it's not empty
# Supported: Release, RelWithDebugInfo, Debug, Debugfull

# On WIN32, only Release seems to work correctly (?)
if(WIN32)
  set(DEFAULT_BUILD_TYPE "Release")
else(WIN32)
  set(DEFAULT_BUILD_TYPE "RelWithDebugInfo")
endif(WIN32)

set(CMAKE_BUILD_TYPE ${DEFAULT_BUILD_TYPE} CACHE STRING "CMake Build Type")
if(NOT CMAKE_BUILD_TYPE)
  set(CMAKE_BUILD_TYPE ${DEFAULT_BUILD_TYPE} CACHE STRING "CMake Build Type" FORCE)
endif(NOT CMAKE_BUILD_TYPE)

# Enable various flags on gcc
if(CMAKE_COMPILER_IS_GNUCXX)
  # Let's just hope that all gccs support these options and skip the tests...
  # -fno-strict-aliasing is needed apparently for Qt < 4.6
  set(CMAKE_CXX_FLAGS                  "${CMAKE_CXX_FLAGS} -ansi -Wall -Wextra -Wnon-virtual-dtor -fno-strict-aliasing")
  set(CMAKE_CXX_FLAGS_RELEASE          "-O2 ${CMAKE_CXX_FLAGS}")
  set(CMAKE_CXX_FLAGS_RELWITHDEBUGINFO "-g -O2 ${CMAKE_CXX_FLAGS}")
  set(CMAKE_CXX_FLAGS_DEBUG            "-g -ggdb -fno-reorder-blocks -fno-schedule-insns -fno-inline ${CMAKE_CXX_FLAGS}")
  set(CMAKE_CXX_FLAGS_DEBUGFULL        "-g3 ${CMAKE_CXX_FLAGS_DEBUG}")
endif(CMAKE_COMPILER_IS_GNUCXX)

string(TOUPPER ${CMAKE_BUILD_TYPE} upper_build_type)
if(upper_build_type STREQUAL "RELEASE" OR upper_build_type STREQUAL "RELWITHDEBUGINFO")
  add_definitions(-DNDEBUG -DQT_NO_DEBUG)
else(upper_build_type STREQUAL "RELEASE" OR upper_build_type STREQUAL "RELWITHDEBUGINFO")
  set(DEBUG 1)
endif(upper_build_type STREQUAL "RELEASE" OR upper_build_type STREQUAL "RELWITHDEBUGINFO")

if(WANT_MONO OR WANT_QTCLIENT)
  set(QT_MIN_VERSION "4.5.0")
else(WANT_MONO OR WANT_QTCLIENT)
  set(QT_MIN_VERSION "4.4.0")
endif(WANT_MONO OR WANT_QTCLIENT)

if(APPLE AND DEPLOY)
  set(CMAKE_OSX_ARCHITECTURES "i386;ppc")
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -mmacosx-version-min=10.4")
  set(CMAKE_OSX_SYSROOT "/Developer/SDKs/MacOSX10.4u.sdk/")
  add_definitions(-DMAC_10_4_SDK)
endif(APPLE AND DEPLOY)

# Execinfo is needed for generating backtraces
find_package(ExecInfo)
if(EXECINFO_FOUND)
  add_definitions(-DHAVE_EXECINFO)
  include_directories(${EXECINFO_INCLUDES})
  link_libraries(${EXECINFO_LIBRARIES})
endif(EXECINFO_FOUND)

# Select a Qt installation here, if you don't want to use system Qt
if(QT)
  # FindQt4 will look for the qmake binary in $PATH, so we just prepend the Qt dir
  set(ENV{PATH} ${QT}/bin:$ENV{PATH})
endif(QT)

# Now that we have the correct $PATH, lets find Qt!
find_package(Qt4 REQUIRED)

set(QT_DONT_USE_QTGUI 1)
include(${QT_USE_FILE})
include_directories(${QT_INCLUDES})

# Setup OpenSSL
# We don't link to or include OpenSSL ourselves, but use exclusively the Qt API.
# Thus, we simply check if OpenSSL support is present in Qt's config and enable our
# own SSL stuff in this case. Qt should care for adding what it needs itself.
if(WITH_OPENSSL)
  if(QT_QCONFIG MATCHES "openssl")
    message(STATUS "Found OpenSSL support in Qt, enabling SSL")
    add_definitions(-DHAVE_SSL)
    set(HAVE_SSL true)
  else(QT_QCONFIG MATCHES "openssl")
    message(STATUS "No OpenSSL support found in Qt, disabling SSL")
    add_definitions(-DQT_NO_OPENSSL)
  endif(QT_QCONFIG MATCHES "openssl")
else(WITH_OPENSSL)
  message(STATUS "Not enabling OpenSSL support")
endif(WITH_OPENSSL)

# Setup D-Bus support
if(WITH_DBUS)
  if(QT_QTDBUS_FOUND)
    message(STATUS "Found QtDBus, enabling D-Bus support")
    add_definitions(-DHAVE_DBUS)
    set(LINK_DBUS DBUS)
    set(HAVE_DBUS true)
  else(QT_QTDBUS_FOUND)
    message(STATUS "QtDBus not found, disabling D-Bus support")
  endif(QT_QTDBUS_FOUND)
else(WITH_DBUS)
  message(STATUS "Not enabling D-Bus support")
endif(WITH_DBUS)

# Setup QtWebKit support
if(WITH_WEBKIT)
  if(QT_QTWEBKIT_FOUND)
    message(STATUS "Found QtWebKit, enabling WebKit support")
    add_definitions(-DHAVE_WEBKIT)
    set(LINK_WEBKIT WEBKIT XMLPATTERNS)
    set(HAVE_WEBKIT true)
  else(QT_QTWEBKIT_FOUND)
    message(STATUS "QtWebKit not found, disabling WebKit support")
  endif(QT_QTWEBKIT_FOUND)
else(WITH_WEBKIT)
  message(STATUS "Not enabling WebKit support")
endif(WITH_WEBKIT)

# Setup KDE4 support
if(WITH_KDE)
  find_package(KDE4)
  if(KDE4_FOUND)
    message(STATUS "Enabling KDE4 integration")
    include_directories(${KDE4_INCLUDES})
    add_definitions(-DHAVE_KDE ${KDE4_DEFINITIONS})
    set(HAVE_KDE 1)
    set(QUASSEL_KDE_LIBRARIES ${KDE4_KDECORE_LIBS} ${KDE4_KDEUI_LIBRARY} ${KDE4_SOLID_LIBS} knotifyconfig)
    # We always use external icons for KDE4 support, since we use its iconloader rather than our own
    set(EMBED_DATA OFF)
  else(KDE4_FOUND)
    message(STATUS "KDE4 not found, disabling KDE integration")
  endif(KDE4_FOUND)
else(WITH_KDE)
  message(STATUS "Not enabling KDE4 integration")
endif(WITH_KDE)

# needed to compile with mingw without kde
if(MINGW AND NOT HAVE_KDE)
    add_definitions(-D_WIN32_WINNT=0x0500)
    message(STATUS "Added _WIN32_WINNT=0x0500 definition for MinGW")
# workaround for bug in mingw gcc 4.0
    add_definitions(-U__STRICT_ANSI__)
endif(MINGW AND NOT HAVE_KDE)

# Setup Phonon support - we only need this if we don't have or want KDE4
if(NOT HAVE_KDE)
  if(WITH_PHONON)
    find_package(Phonon)
    if(PHONON_FOUND)
      message(STATUS "Enabling Phonon support")
      add_definitions(-DHAVE_PHONON)
      set(HAVE_PHONON true)
    else(PHONON_FOUND)
      message(STATUS "Phonon not found, disabling audio notifications")
    endif(PHONON_FOUND)
  else(WITH_PHONON)
    message(STATUS "Not enabling Phonon support")
  endif(WITH_PHONON)
endif(NOT HAVE_KDE)

# Setup libindicate-qt support
if(WITH_LIBINDICATE)
  find_package(PkgConfig QUIET)
  if(PKG_CONFIG_FOUND)
    pkg_check_modules(INDICATEQT indicate-qt>=0.2.1)
    if(INDICATEQT_FOUND)
      message(STATUS "Enabling Ayatana notification support")
      set(HAVE_INDICATEQT true)
      add_definitions(-DHAVE_INDICATEQT)
    else(INDICATEQT_FOUND)
      message(STATUS "Disabling Ayatana notification support")
    endif(INDICATEQT_FOUND)
  endif(PKG_CONFIG_FOUND)
else(WITH_LIBINDICATE)
  message(STATUS "Not enabling Ayatana notification support")
  # We don't want to link against it even if another package has found it
  set(INDICATEQT_LIBRARIES "")
endif(WITH_LIBINDICATE)

# Now set up install locations; those are set by KDE if integration is enabled
if(NOT HAVE_KDE)
  if(WIN32)
    set(BIN_INSTALL_DIR ${CMAKE_INSTALL_PREFIX} CACHE FILEPATH "Install path for binaries")
    set(DATA_INSTALL_DIR $ENV{APPDATA}/quassel-irc.org/share/apps CACHE FILEPATH "Install path for data files")
    set(ICON_INSTALL_DIR $ENV{APPDATA}/quassel-irc.org/share/icons CACHE FILEPATH "Global icon install path")
    set(XDG_APPS_INSTALL_DIR $ENV{APPDATA}/quassel-irc.org/share/applications CACHE FILEPATH "Install path for .desktop files")
  else(WIN32)
    set(BIN_INSTALL_DIR ${CMAKE_INSTALL_PREFIX}/bin CACHE FILEPATH "Install path for binaries")
    set(DATA_INSTALL_DIR ${CMAKE_INSTALL_PREFIX}/share/apps CACHE FILEPATH "Install path for data files")
    set(ICON_INSTALL_DIR ${CMAKE_INSTALL_PREFIX}/share/icons CACHE FILEPATH "Global icon install path")
    set(XDG_APPS_INSTALL_DIR ${CMAKE_INSTALL_PREFIX}/share/applications CACHE FILEPATH "Install path for .desktop files")
  endif(WIN32)
endif(NOT HAVE_KDE)

if(EMBED_DATA)
  message(STATUS "Embedding data files into the binary")
else(EMBED_DATA)
  message(STATUS "Installing data files separately")
endif(EMBED_DATA)

# RPATH needs to be set correctly
# Do this down here, since otherwise KDE wants to handle it itself, and fails
set(CMAKE_INSTALL_RPATH_USE_LINK_PATH 1)
set(CMAKE_BUILD_WITH_INSTALL_RPATH 1)

# Set global buildflags
# This is very much non-portable, so don't use -DSTATIC until you know what
# you do.
if(STATIC AND CMAKE_COMPILER_IS_GNUCXX)
  set(CMAKE_CXX_FLAGS "-static-libgcc ${CMAKE_CXX_FLAGS}")
  link_directories(${CMAKE_BINARY_DIR}/staticlibs) # override dynamic libs
  if(HAVE_SSL)
    set(QUASSEL_SSL_LIBRARIES ssl crypto)  # these miss in static builds
  endif(HAVE_SSL)
endif(STATIC AND CMAKE_COMPILER_IS_GNUCXX)

if(WIN32)

=== pics/CMakeLists.txt ===
# pics/ contains non-themed icons and other graphical resources

if(WIN32)
    if(MINGW)
       find_program(WINDRES_EXECUTABLE NAMES windres)
	if(WINDRES_EXECUTABLE)
	  exec_program(windres
	    ARGS "-i ${CMAKE_CURRENT_SOURCE_DIR}/win32.rc
                 -o ${CMAKE_CURRENT_BINARY_DIR}/win32.o
                 --include-dir=${CMAKE_CURRENT_SOURCE_DIR}")
	  set(COMMON_DEPS ${COMMON_DEPS} ${CMAKE_CURRENT_BINARY_DIR}/win32.o PARENT_SCOPE)
       endif(WINDRES_EXECUTABLE)
    else(MINGW)
	set(COMMON_DEPS ${COMMON_DEPS} ../pics/win32.rc PARENT_SCOPE)
    endif(MINGW)
endif(WIN32)

if(WANT_MONO OR WANT_QTCLIENT)
  if(EMBED_DATA)
    set(CLIENT_RCS ${CLIENT_RCS} ../pics/pics.qrc PARENT_SCOPE)
  else(EMBED_DATA)
    # We don't find them yet externally, so disable installation
    set(CLIENT_RCS ${CLIENT_RCS} ../pics/pics.qrc PARENT_SCOPE)
    # install(FILES qt-logo.png
    #               quassel-large.png
    #         DESTINATION ${DATA_INSTALL_DIR}/quassel/pics)
  endif(EMBED_DATA)
endif(WANT_MONO OR WANT_QTCLIENT)

=== src/CMakeLists.txt ===
# Builds the three main targets

add_subdirectory(common)
include_directories(BEFORE common)
if(WANT_CORE OR WANT_MONO)
  add_subdirectory(core)
  include_directories(BEFORE core)
endif(WANT_CORE OR WANT_MONO)
if(WANT_QTCLIENT OR WANT_MONO)
  add_subdirectory(client)
  add_subdirectory(uisupport)
  add_subdirectory(qtui)
  include_directories(BEFORE client)
  include_directories(BEFORE uisupport)
  include_directories(BEFORE qtui)
#  if(HAVE_KDE)
#    add_subdirectory(kdeui)
#    include_directories(kdeui)
#    set(LINK_KDE mod_kdeui)
#  endif(HAVE_KDE)

  if(STATIC)
    link_directories(${QT_PLUGINS_DIR}/imageformats)
    set(CLIENT_LIBS qjpeg qgif)
  endif(STATIC)

endif(WANT_QTCLIENT OR WANT_MONO)

include_directories(BEFORE ${CMAKE_CURRENT_BINARY_DIR}) # for version.gen

# Add resources. Can't be done in other subdirs apparently.
# Note that these variables need to contain paths relative to src/ (this dir)
qt4_add_resources(CLIENT_DEPS ${CLIENT_RCS})
qt4_add_resources(CORE_DEPS ${CORE_RCS})
qt4_add_resources(COMMON_DEPS ${COMMON_RCS})

if(HAVE_INDICATEQT)
  link_directories(${INDICATEQT_LIBRARY_DIRS})
endif(HAVE_INDICATEQT)

if(WANT_CORE)
  setup_qt4_variables(NETWORK SCRIPT SQL)
  add_executable(quasselcore common/main.cpp ${COMMON_DEPS} ${CORE_DEPS})
  add_dependencies(quasselcore po genversion_run)
  set_target_properties(quasselcore PROPERTIES
                                    COMPILE_FLAGS "-DQT_NETWORK_LIB -DQT_SCRIPT_LIB -DQT_SQL_LIB -DBUILD_CORE"
                                    OUTPUT_NAME ../quasselcore)
  target_link_libraries(quasselcore mod_core mod_common
                                    ${QUASSEL_QT_LIBRARIES} ${QUASSEL_SSL_LIBRARIES})
  install(TARGETS quasselcore RUNTIME DESTINATION ${BIN_INSTALL_DIR})
endif(WANT_CORE)

if(WANT_QTCLIENT)
  setup_qt4_variables(${LINK_DBUS} GUI NETWORK ${LINK_WEBKIT})
  add_executable(quasselclient WIN32 common/main.cpp ${COMMON_DEPS} ${CLIENT_DEPS})
  add_dependencies(quasselclient po genversion_run)
  set_target_properties(quasselclient PROPERTIES
                                      COMPILE_FLAGS "-DQT_GUI_LIB -DQT_NETWORK_LIB -DBUILD_QTUI"
                                      OUTPUT_NAME ../quasselclient)
  target_link_libraries(quasselclient ${LINK_KDE} mod_qtui mod_uisupport mod_client mod_common ${CLIENT_LIBS}
                                      ${QUASSEL_QT_LIBRARIES} ${QUASSEL_KDE_LIBRARIES} ${QUASSEL_SSL_LIBRARIES} ${PHONON_LIBS} ${INDICATEQT_LIBRARIES})
  install(TARGETS quasselclient RUNTIME DESTINATION ${BIN_INSTALL_DIR})
endif(WANT_QTCLIENT)

if(WANT_MONO)
  setup_qt4_variables(${LINK_DBUS} GUI NETWORK SCRIPT SQL ${LINK_WEBKIT})
  qt4_wrap_cpp(MOC qtui/monoapplication.h)
  add_executable(quassel WIN32 common/main.cpp qtui/monoapplication.cpp ${MOC} ${COMMON_DEPS} ${CLIENT_DEPS} ${CORE_DEPS})
  add_dependencies(quassel po genversion_run)
  set_target_properties(quassel PROPERTIES
                                COMPILE_FLAGS "-DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_SCRIPT_LIB -DQT_SQL_LIB -DBUILD_MONO"
                                OUTPUT_NAME ../quassel)
  target_link_libraries(quassel mod_qtui mod_uisupport mod_client mod_core mod_common ${CLIENT_LIBS}
                                ${QUASSEL_QT_LIBRARIES} ${QUASSEL_KDE_LIBRARIES} ${QUASSEL_SSL_LIBRARIES} ${PHONON_LIBS} ${INDICATEQT_LIBRARIES})
  install(TARGETS quassel RUNTIME DESTINATION ${BIN_INSTALL_DIR})
endif(WANT_MONO)

# Build bundles for MacOSX
if(APPLE)
  add_custom_command(TARGET quasselclient POST_BUILD
                     COMMAND ${CMAKE_SOURCE_DIR}/scripts/build/macosx_makebundle.py
                             ${CMAKE_SOURCE_DIR} "Quassel Client" ../quasselclient)
  add_custom_command(TARGET quassel POST_BUILD
                     COMMAND ${CMAKE_SOURCE_DIR}/scripts/build/macosx_makebundle.py
                             ${CMAKE_SOURCE_DIR} "Quassel" ../quassel)
  if(DEPLOY)
    add_custom_command(TARGET quasselclient POST_BUILD
                       COMMAND ${CMAKE_SOURCE_DIR}/scripts/build/macosx_makePackage.sh Client ..)
    add_custom_command(TARGET quasselcore POST_BUILD
                       COMMAND ${CMAKE_SOURCE_DIR}/scripts/build/macosx_makePackage.sh Core ..)
  endif(DEPLOY)
endif(APPLE)

=== src/client/CMakeLists.txt ===
# Builds the client module

# We still have some minor deps to QtUi: QItemSelectionModel
# set(QT_DONT_USE_QTGUI 1)
set(QT_USE_QTNETWORK 1)
set(QT_USE_QTDBUS 1)
include(${QT_USE_FILE})

set(SOURCES
    abstractmessageprocessor.cpp
    backlogrequester.cpp
    buffermodel.cpp
    buffersettings.cpp
    bufferviewoverlay.cpp
    client.cpp
    clientaliasmanager.cpp
    clientbacklogmanager.cpp
    clientbufferviewconfig.cpp
    clientbufferviewmanager.cpp
    clientidentity.cpp
    clientignorelistmanager.cpp
    clientirclisthelper.cpp
    clientsettings.cpp
    clientuserinputhandler.cpp
    coreaccount.cpp
    coreaccountmodel.cpp
    coreconnection.cpp
    execwrapper.cpp
    irclistmodel.cpp
    messagefilter.cpp
    messagemodel.cpp
    networkmodel.cpp
    selectionmodelsynchronizer.cpp
    treemodel.cpp)

set(MOC_HDRS
    abstractmessageprocessor.h
    abstractui.h
    buffermodel.h
    bufferviewoverlay.h
    client.h
    clientaliasmanager.h
    clientbacklogmanager.h
    clientbufferviewconfig.h
    clientbufferviewmanager.h
    clientcoreinfo.h
    clientidentity.h
    clientignorelistmanager.h
    clientirclisthelper.h
    clientuserinputhandler.h
    coreaccountmodel.h
    coreconnection.h
    execwrapper.h
    irclistmodel.h
    messagefilter.h
    messagemodel.h
    networkmodel.h
    selectionmodelsynchronizer.h
    treemodel.h)

set(HEADERS
    backlogsettings.h
    backlogrequester.h
    buffersettings.h
    clientsettings.h
    coreaccount.h
   )

qt4_wrap_cpp(MOC ${MOC_HDRS})

include_directories(${CMAKE_SOURCE_DIR}/src/common)

add_library(mod_client STATIC ${SOURCES} ${MOC} ${HEADERS})
add_dependencies(mod_client mod_common)

=== src/common/CMakeLists.txt ===
# Builds the common module

set(QT_DONT_USE_QTGUI 1)
set(QT_USE_QTNETWORK 1)
include(${QT_USE_FILE})

set(SOURCES
    aliasmanager.cpp
    backlogmanager.cpp
    basichandler.cpp
    bufferinfo.cpp
    buffersyncer.cpp
    bufferviewconfig.cpp
    bufferviewmanager.cpp
    cliparser.cpp
    identity.cpp
    ignorelistmanager.cpp
    ircchannel.cpp
    irclisthelper.cpp
    ircuser.cpp
    logger.cpp
    message.cpp
    network.cpp
    networkconfig.cpp
    quassel.cpp
    settings.cpp
    signalproxy.cpp
    syncableobject.cpp
    util.cpp)

if(CMAKE_HOST_WIN32)
    set(SOURCES ${SOURCES} logbacktrace_win.cpp)
endif(CMAKE_HOST_WIN32)
if(CMAKE_HOST_UNIX)
    set(SOURCES ${SOURCES} logbacktrace_unix.cpp)
endif(CMAKE_HOST_UNIX)

set(MOC_HDRS
    aliasmanager.h
    backlogmanager.h
    basichandler.h
    buffersyncer.h
    bufferviewconfig.h
    bufferviewmanager.h
    coreinfo.h
    identity.h
    ignorelistmanager.h
    ircchannel.h
    irclisthelper.h
    ircuser.h
    network.h
    networkconfig.h
    settings.h
    signalproxy.h
    syncableobject.h)

set(HEADERS ${MOC_HDRS}
    abstractcliparser.h
    bufferinfo.h
    cliparser.h
    logger.h
    message.h
    types.h
    util.h)

if(APPLE)
  set(SOURCES ${SOURCES} mac_utils.cpp)
  set(HEADERS ${HEADERS} mac_utils.h)
endif(APPLE)

qt4_wrap_cpp(MOC ${MOC_HDRS})

include_directories(${CMAKE_CURRENT_BINARY_DIR} ${CMAKE_SOURCE_DIR})  # for version.inc and version.gen
set_directory_properties(PROPERTIES ADDITIONAL_MAKE_CLEAN_FILES version.gen)

add_library(mod_common STATIC ${SOURCES} ${MOC})

if(APPLE)
  target_link_libraries(mod_common "-framework CoreServices" "-framework CoreFoundation")
endif(APPLE)

if(CMAKE_HOST_SYSTEM_NAME STREQUAL "Linux")
  find_library(libdl dl)
  if(NOT libdl MATCHES "NOTFOUND")
    target_link_libraries(mod_common ${libdl})
  endif(NOT libdl MATCHES "NOTFOUND")
endif(CMAKE_HOST_SYSTEM_NAME STREQUAL "Linux")

=== src/core/CMakeLists.txt ===
# Builds the core module

set(QT_DONT_USE_QTGUI 1)
set(QT_USE_QTNETWORK 1)
set(QT_USE_QTSQL 1)
set(QT_USE_QTSCRIPT 1)
include(${QT_USE_FILE})

set(SOURCES
    abstractsqlstorage.cpp
    core.cpp
    corealiasmanager.cpp
    coreapplication.cpp
    corebacklogmanager.cpp
    corebasichandler.cpp
    corebuffersyncer.cpp
    corebufferviewconfig.cpp
    corebufferviewmanager.cpp
    corecoreinfo.cpp
    coreidentity.cpp
    coreignorelistmanager.cpp
    coreircchannel.cpp
    coreirclisthelper.cpp
    corenetwork.cpp
    corenetworkconfig.cpp
    coresession.cpp
    coresettings.cpp
    coreuserinputhandler.cpp
    coreusersettings.cpp
    ctcphandler.cpp
    ircserverhandler.cpp
    netsplit.cpp
    postgresqlstorage.cpp
    sessionthread.cpp
    sqlitestorage.cpp
    storage.cpp)

set(MOC_HDRS
    abstractsqlstorage.h
    core.h
    corealiasmanager.h
    coreapplication.h
    corebacklogmanager.h
    corebasichandler.h
    corebuffersyncer.h
    corebufferviewconfig.h
    corebufferviewmanager.h
    corecoreinfo.h
    coreidentity.h
    coreignorelistmanager.h
    coreircchannel.h
    coreirclisthelper.h
    corenetwork.h
    corenetworkconfig.h
    coresession.h
    coreuserinputhandler.h
    ctcphandler.h
    ircserverhandler.h
    netsplit.h
    postgresqlstorage.h
    sqlitestorage.h
    storage.h
    sessionthread.h)

set(HEADERS
    coresettings.h
    coreusersettings.h)

if(HAVE_SSL)
  set(SOURCES ${SOURCES} sslserver.cpp)
  set(MOC_HDRS ${MOC_HDRS} sslserver.h)
  include_directories(${OPENSSL_INCLUDE_DIR})
endif(HAVE_SSL)

qt4_wrap_cpp(MOC ${MOC_HDRS})
set(CORE_RCS ${CORE_RCS} core/sql.qrc PARENT_SCOPE)

include_directories(${CMAKE_SOURCE_DIR}/src/common)

add_library(mod_core STATIC ${SOURCES} ${MOC} ${HEADERS})
add_dependencies(mod_core mod_common)

=== src/qtui/CMakeLists.txt ===
# Builds the qtui module

set(QT_DONT_USE_QTGUI 0)
set(QT_USE_QTNETWORK 1)
set(QT_USE_QTDBUS 1)
include(${QT_USE_FILE})

if(INDICATEQT_FOUND)
  include_directories(${INDICATEQT_INCLUDE_DIRS})
endif(INDICATEQT_FOUND)

set(SOURCES
    aboutdlg.cpp
    awaylogfilter.cpp
    awaylogview.cpp
    bufferwidget.cpp
    channellistdlg.cpp
    chatitem.cpp
    chatline.cpp
    chatlinemodel.cpp
    chatlinemodelitem.cpp
    chatmonitorfilter.cpp
    chatmonitorview.cpp
    chatscene.cpp
    chatview.cpp
    chatviewsearchbar.cpp
    chatviewsearchcontroller.cpp
    chatviewsettings.cpp
    columnhandleitem.cpp
    coreconfigwizard.cpp
    coreconnectdlg.cpp
    coreconnectionstatuswidget.cpp
    coreinfodlg.cpp
    debugbufferviewoverlay.cpp
    debugconsole.cpp
    debuglogwidget.cpp
    debugmessagemodelfilter.cpp
    inputwidget.cpp
    ircconnectionwizard.cpp
    jumpkeyhandler.cpp
    legacysystemtray.cpp
    mainpage.cpp
    mainwin.cpp
    msgprocessorstatuswidget.cpp
    nicklistwidget.cpp
    qtui.cpp
    qtuiapplication.cpp
    qtuimessageprocessor.cpp
    qtuisettings.cpp
    qtuistyle.cpp
    settingsdlg.cpp
    settingspagedlg.cpp
    simplenetworkeditor.cpp
    systemtray.cpp
    systraynotificationbackend.cpp
    taskbarnotificationbackend.cpp
    titlesetter.cpp
    topicwidget.cpp
    verticaldock.cpp
    webpreviewitem.cpp)

set(MOC_HDRS
    aboutdlg.h
    awaylogfilter.h
    awaylogview.h
    bufferwidget.h
    channellistdlg.h
    chatitem.h
    chatlinemodel.h
    chatmonitorfilter.h
    chatmonitorview.h
    chatscene.h
    chatview.h
    chatviewsearchbar.h
    chatviewsearchcontroller.h
    columnhandleitem.h
    coreconfigwizard.h
    coreconnectdlg.h
    coreconnectionstatuswidget.h
    coreinfodlg.h
    debugbufferviewoverlay.h
    debugconsole.h
    debuglogwidget.h
    debugmessagemodelfilter.h
    inputwidget.h
    ircconnectionwizard.h
    jumpkeyhandler.h
    legacysystemtray.h
    mainpage.h
    mainwin.h
    msgprocessorstatuswidget.h
    nicklistwidget.h
    qtui.h
    qtuiapplication.h
    qtuimessageprocessor.h
    qtuistyle.h
    settingsdlg.h
    settingspagedlg.h
    simplenetworkeditor.h
    systemtray.h
    systraynotificationbackend.h
    taskbarnotificationbackend.h
    titlesetter.h
    topicwidget.h
    verticaldock.h)

set(HEADERS
    chatline.h
    chatlinemodelitem.h
    chatviewsettings.h
    qtuisettings.h
    webpreviewitem.h)

set(FORMS
    aboutdlg.ui
    bufferviewwidget.ui
    bufferwidget.ui
    channellistdlg.ui
    chatviewsearchbar.ui
    coreconfigwizardintropage.ui
    coreconfigwizardadminuserpage.ui
    coreconfigwizardstorageselectionpage.ui
    coreconfigwizardsyncpage.ui
    coreconnectauthdlg.ui
    coreconnectionstatuswidget.ui
    coreinfodlg.ui
    debugbufferviewoverlay.ui
    debugconsole.ui
    debuglogwidget.ui
    inputwidget.ui
    msgprocessorstatuswidget.ui
    nicklistwidget.ui
    settingsdlg.ui
    settingspagedlg.ui
    simplenetworkeditor.ui
    topicwidget.ui)

if(HAVE_KDE)
  set(SOURCES ${SOURCES} knotificationbackend.cpp)
  set(MOC_HDRS ${MOC_HDRS} knotificationbackend.h)
else(HAVE_KDE)
  if(HAVE_PHONON)
    set(SOURCES ${SOURCES} phononnotificationbackend.cpp)
    set(MOC_HDRS ${MOC_HDRS} phononnotificationbackend.h)
    set(FORMS ${FORMS} phononnotificationconfigwidget.ui)
    include_directories(${PHONON_INCLUDES})
  endif(HAVE_PHONON)
endif(HAVE_KDE)

if(HAVE_DBUS)
  set(SOURCES ${SOURCES} statusnotifieritem.cpp statusnotifieritemdbus.cpp)
  set(MOC_HDRS ${MOC_HDRS} statusnotifieritem.h statusnotifieritemdbus.h)
  set(FORMS ${FORMS})
  qt4_add_dbus_interface(DBUS ../../interfaces/org.kde.StatusNotifierWatcher.xml statusnotifierwatcher)
  qt4_add_dbus_interface(DBUS ../../interfaces/org.freedesktop.Notifications.xml notificationsclient)
  qt4_add_dbus_adaptor(DBUS ../../interfaces/org.kde.StatusNotifierItem.xml statusnotifieritemdbus.h StatusNotifierItemDBus)  
endif(HAVE_DBUS)

if(HAVE_SSL)
  set(SOURCES ${SOURCES} sslinfodlg.cpp)
  set(MOC_HDRS ${MOC_HDRS} sslinfodlg.h)
  set(FORMS ${FORMS} sslinfodlg.ui)
endif(HAVE_SSL)

if(INDICATEQT_FOUND)
  set(SOURCES ${SOURCES} indicatornotificationbackend.cpp)
  set(MOC_HDRS ${MOC_HDRS} indicatornotificationbackend.h)
  set(FORMS ${FORMS} indicatornotificationconfigwidget.ui)
endif(INDICATEQT_FOUND)

foreach(FORM ${FORMS})
  set(FORMPATH ${FORMPATH} ui/${FORM})
endforeach(FORM ${FORMS})

# handle settingspages
include(settingspages/settingspages.inc)
foreach(SP ${SETTINGSPAGES})
  set(SPSRC ${SPSRC} settingspages/${SP}settingspage.cpp)
  set(SPHDR ${SPHDR} settingspages/${SP}settingspage.h)
  set(SPFRM ${SPFRM} settingspages/${SP}settingspage.ui)
endforeach(SP ${SETTINGSPAGES})
foreach(SRC ${SP_SOURCES})
  set(SPSRC ${SPSRC} settingspages/${SRC})
endforeach(SRC ${SP_SOURCES})
foreach(HDR ${SP_HEADERS})
  set(SPHDR ${SPHDR} settingspages/${HDR})
endforeach(HDR ${SP_HEADERS})
foreach(FRM ${SP_FORMS})
  set(SPFRM ${SPFRM} settingspages/${FRM})
endforeach(FRM ${SP_FORMS})

qt4_wrap_cpp(MOC ${MOC_HDRS} ${SPHDR})
qt4_wrap_ui(UI ${FORMPATH} ${SPFRM})

include_directories(${CMAKE_SOURCE_DIR}/src/common
                    ${CMAKE_SOURCE_DIR}/src/client
                    ${CMAKE_SOURCE_DIR}/src/qtui
                    ${CMAKE_SOURCE_DIR}/src/qtui/settingspages
                    ${CMAKE_SOURCE_DIR}/src/uisupport
                    ${CMAKE_CURRENT_BINARY_DIR})

add_library(mod_qtui STATIC ${SOURCES} ${SPSRC} ${MOC} ${DBUS} ${UI} ${HEADERS})
add_dependencies(mod_qtui mod_common mod_client mod_uisupport)

=== src/uisupport/CMakeLists.txt ===
# Builds the uisupport module

set(QT_DONT_USE_QTGUI 0)
set(QT_USE_QTNETWORK 1)
include(${QT_USE_FILE})

set(SOURCES
    abstractbuffercontainer.cpp
    abstractitemview.cpp
    action.cpp
    actioncollection.cpp
    bufferhotlistfilter.cpp
    bufferview.cpp
    bufferviewfilter.cpp
    bufferviewoverlayfilter.cpp
    clearablelineedit.cpp
    clickable.cpp
    clickablelabel.cpp
    colorbutton.cpp
    contextmenuactionprovider.cpp
    flatproxymodel.cpp
    fontselector.cpp
    graphicalui.cpp
    icon.cpp
    iconloader.cpp
    multilineedit.cpp
    networkmodelcontroller.cpp
    nickview.cpp
    nickviewfilter.cpp
    qssparser.cpp
    resizingstackedwidget.cpp
    settingspage.cpp
    styledlabel.cpp
    tabcompleter.cpp
    toolbaractionprovider.cpp
    uisettings.cpp
    uistyle.cpp
   )

set(MOC_HDRS
    abstractbuffercontainer.h
    abstractitemview.h
    abstractnotificationbackend.h
    action.h
    actioncollection.h
    bufferhotlistfilter.h
    bufferview.h
    bufferviewfilter.h
    bufferviewoverlayfilter.h
    clearablelineedit.h
    clickablelabel.h
    colorbutton.h
    contextmenuactionprovider.h
    flatproxymodel.h
    fontselector.h
    graphicalui.h
    iconloader.h
    multilineedit.h
    networkmodelcontroller.h
    nickview.h
    nickviewfilter.h
    resizingstackedwidget.h
    settingspage.h
    styledlabel.h
    tabcompleter.h
    toolbaractionprovider.h
    uistyle.h
   )

set(HEADERS
    clickable.h
    icon.h
    qssparser.h
    uisettings.h
   )

if(HAVE_KDE)
    set(SOURCES ${SOURCES} kcmdlinewrapper.cpp)
    set(HEADERS ${HEADERS} kcmdlinewrapper.h)
endif(HAVE_KDE)

qt4_wrap_cpp(MOC ${MOC_HDRS})

include_directories(${CMAKE_SOURCE_DIR}/src/common
                    ${CMAKE_SOURCE_DIR}/src/client)

add_library(mod_uisupport STATIC ${SOURCES} ${MOC} ${HEADERS})
add_dependencies(mod_uisupport mod_common mod_client)

## quassel 0.6.3

=== debian/changelog ===
quassel (0.6.3-2+squeeze2) stable; urgency=low

  * Fixing missing translations in quassel-data-kde4_0.6.3-2+squeeze1_all.deb

 -- Thomas Mueller <thomas.mueller@tmit.eu>  Mon, 17 Oct 2011 01:20:44 +0200

quassel (0.6.3-2+squeeze1) stable; urgency=low

  * Fixing security issue: ctcp DoS (Closes: #640960)

 -- Thomas Mueller <thomas.mueller@tmit.eu>  Fri, 09 Sep 2011 20:30:15 +0000

quassel (0.6.3-2) testing; urgency=low

  * correct order of changelog entries

 -- Thomas Mueller <thomas.mueller@tmit.eu>  Fri, 08 Oct 2010 08:12:25 +0200

quassel (0.6.3-1) testing; urgency=low

  * New upstream bug fix release
  * Possible DoS attack vulnerability for multiple CTCP requests:
    http://bugs.quassel-irc.org/issues/1023 (closes: #597853)
  * contains unrelease bug fix release 0.6.2

 -- Thomas Mueller <thomas.mueller@tmit.eu>  Sun, 03 Oct 2010 13:52:56 +0200

quassel (0.6.1-2) unstable; urgency=low

  * add dependency to gawk (closes: #592455)
  * remove manageusers.py (closes: #590644)
  * man pages updated (closes: #590643)
  * dump Debian Policy to 3.9.1

 -- Thomas Mueller <thomas.mueller@tmit.eu>  Sun, 15 Aug 2010 23:11:16 +0200

quassel (0.6.1-1) unstable; urgency=low

  * New upstream release
  * Switch to dpkg-source 3.0 (quilt) format
  * desktop notification have been reimplemented (closes: #562974)

 -- Thomas Mueller <thomas.mueller@tmit.eu>  Wed, 21 Apr 2010 20:11:17 +0200

quassel (0.5.2-3) unstable; urgency=low

  * missing name changes quassel-core - in init and default

 -- Thomas Mueller <thomas.mueller@tmit.eu>  Thu, 18 Feb 2010 17:12:06 +0100

quassel (0.5.2-2) unstable; urgency=low

  * Re-include init script into (closes: #569942)
  * Fixing lintian error init.d-script-missing-dependency-on-remote_fs

 -- Thomas Mueller <thomas.mueller@tmit.eu>  Thu, 18 Feb 2010 17:11:18 +0100

quassel (0.5.2-1) unstable; urgency=low

  * New upstream release (closes: #556309)
  * Fixing minor lintian warnings:
    - copyright-with-old-dh-make-debian-copyright
    - duplicate-long-description
    - quilt-patch-missing-description
  * package descriptions have been reviewed by debian-i10n-english
  * fixing dependencies - thanks to puiparts:
    - quassel-client: phonon
    - quassel: phonon
    - quassel-kde4: kdebase-runtime, kdelibs5
    - quassel-client-kde4: kdebase-runtime, kdelibs5

 -- Thomas Mueller <thomas.mueller@tmit.eu>  Mon, 01 Feb 2010 23:41:05 +0100

quassel (0.5.1-3) unstable; urgency=low

  * Conflict dependency added between quassel-data and quassel-data-
    kde4(closes: #566097)

 -- Thomas Mueller <thomas.mueller@tmit.eu>  Thu, 21 Jan 2010 20:36:09 +0100

quassel (0.5.1-2) unstable; urgency=low

  * KDE4 support enabled (closes: #561795)
    - package quassel-kde4 (monolithic client with KDE) has been added
    - package quassel-client-kde4 (client with KDE) has been added
    - package quassel-data-kde4 (data files) has been added
    
  * switch from cdbs to debhelper - basic idea taken from the ubuntu package
    thanks guys
  * quilt is used as patch system now

 -- Thomas Mueller <thomas.mueller@tmit.eu>  Thu, 11 Jan 2010 12:52:45 +0100
 

quassel (0.5.1-1) unstable; urgency=low

  * New upstream release
  * dbus-x11 dependency moved to quasselclient & quassel (closes: #552061)
  * remove deprecated usage of argument -datadir (closes: #552373)

 -- Thomas Mueller <thomas.mueller@tmit.eu>  Sun, 22 Nov 2009 23:44:04 +0100

quassel (0.5.0-1) unstable; urgency=low

  * New upstream release

 -- Thomas Mueller <thomas.mueller@tmit.eu>  Thu, 22 Oct 2009 22:19:05 +0200

quassel (0.5.0~rc2-1) experimental; urgency=low

  * New upstream release (rc2)
  * Make puiparts happy (closes: #538182)
  * manageusers.py added (closes: #549296)

 -- Thomas Mueller <thomas.mueller@tmit.eu>  Mon, 05 Oct 2009 23:13:06 +0200

quassel (0.4.2-1) unstable; urgency=low

  * New upstream release
  * watch file looks to the *.tar.bz2 directly
    no longer scanning the html page

 -- Thomas Mueller <thomas.mueller@tmit.eu>  Thu, 28 May 2009 21:42:24 +0200

quassel (0.4.1-1) unstable; urgency=low

  * New upstream release

 -- Thomas Mueller <thomas.mueller@tmit.eu>  Sun, 29 Mar 2009 12:51:42 +0200

quassel (0.4.0-1) unstable; urgency=low

  * New upstream release
  * repackaging no longer necessary, because svgz of oxygen icons have been
    added to the source tarball:
    - debian/repack.sh removed
    - debian/README.source removed
    - debian/watch adjusted
    - debian/rules: get-orig-source removed
  * debian/copyright updated: license for oxygen icons added
  * debian/quassel-core.logrotate added
  * debian/patcher/01_default_network_channel.patch added

 -- Thomas Mueller <thomas_mueller_ffb@online.de>  Wed, 18 Feb 2009 22:14:23 +0100

quassel (0.3.1+dfsg-3) unstable; urgency=low

  * fixing bug on upgrade (closes: #513677)
  * 'set -e' removed from ini script
  * cleanup in quassel-core.postrm

 -- Thomas Mueller <thomas_mueller_ffb@online.de>  Wed, 11 Feb 2009 21:14:33 +0100

quassel (0.3.1+dfsg-2) unstable; urgency=low

  * init script added (closes: #513677)
  * user and group for the daemon added (closes: #513677)
  * ssl certificate has been added (closes: #511169) 
    All scripts are based on the ubuntu package
    thanks to Harald Sitter <apachelogger@ubuntu.com>
  * Version in manpages have been adjusted.

 -- Thomas Mueller <thomas_mueller_ffb@online.de>  Mon, 10 Feb 2009 23:13:25 +0100

quassel (0.3.1+dfsg-1) unstable; urgency=low

  * New upstream release
  * upstream update to 0.3.0.3 (closes: #498283)
  * upstream update to 0.3.0.1 (closes: #498283)
  * watch file added - thx to Per Hausen
  * Downgrade quasselclient's dependency on quasselcore (closes: #503126)
    The packages quassel-client and quassel-core can be installed separately
    now.
    The package quassel is a dummy package, which installs client and core.
  * Additional package for the monolithic client.
  * Repackaging orig.tar.gz to remove the oxygen icons. They are no longer


=== debian/control ===
Source: quassel
Section: net
Priority: optional
Maintainer: Thomas Mueller <thomas.mueller@tmit.eu>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 7.0.50~), libqt4-dev, cmake, libfontconfig1-dev, libfreetype6-dev, libpng12-dev, libsm-dev, libice-dev, libxi-dev, libxrandr-dev, libxrender-dev, zlib1g-dev, libssl-dev, libdbus-1-dev, pkg-kde-tools, kdelibs5-dev, qt4-dev-tools
Homepage: http://www.quassel-irc.org
Standards-Version: 3.9.1

Package: quassel-core
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, adduser, libqt4-sql-sqlite, lsb-base (>= 3.2-14), openssl
Description: distributed IRC client - core component
 Quassel is a modern, cross-platform, distributed IRC client, meaning that
 one or more clients can attach to and detach from the central core. It's
 much like the popular combination of screen and a text-based IRC client
 such as WeeChat or irssi, but graphical.
 .
 This package provides only the core component.

Package: quassel-client
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, quassel-data (= ${source:Version}), dbus-x11, phonon, gawk
Conflicts: quassel (<< 0.3.1-1), quassel-client-kde4
Replaces: quassel (<< 0.3.1-1)
Recommends: quassel-core
Description: distributed IRC client - Qt-based client component
 Quassel is a modern, cross-platform, distributed IRC client, meaning that
 one or more clients can attach to and detach from the central core. It's
 much like the popular combination of screen and a text-based IRC client
 such as WeeChat or irssi, but graphical.
 .
 This package provides only the client component.

Package: quassel
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libqt4-sql-sqlite, quassel-data (=${source:Version}), dbus-x11, phonon, gawk
Conflicts: quassel-kde4
Description: distributed IRC client - Qt-based monolithic core+client
 Quassel is a modern, cross-platform, distributed IRC client, meaning that
 one or more clients can attach to and detach from the central core. It's
 much like the popular combination of screen and a text-based IRC client
 such as WeeChat or irssi, but graphical.
 .
 This package provides the monolithic client. It contains both core and
 client and can be used like a traditional IRC client, without requiring an
 external core.

Package: quassel-data
Architecture: all
Depends: ${misc:Depends}
Conflicts: quassel (<< 0.3.1-1), quassel-data-kde4
Replaces: quassel (<< 0.3.1-1)
Description: distributed IRC client - shared data (Qt version)
 Quassel is a modern, cross-platform, distributed IRC client, meaning that
 one or more clients can attach to and detach from the central core. It's
 much like the popular combination of screen and a text-based IRC client
 such as WeeChat or irssi, but graphical.
 .
 This package provides files used by the Qt-based Quassel client
 packages.

Package: quassel-client-kde4
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, quassel-data-kde4 (=${source:Version}), dbus-x11, kdebase-runtime, kdelibs5, gawk
Conflicts: quassel-client
Recommends: quassel-core
Description: distributed IRC client - KDE-based client
 Quassel is a modern, cross-platform, distributed IRC client, meaning that
 one or more clients can attach to and detach from the central core. It's
 much like the popular combination of screen and a text-based IRC client
 such as WeeChat or irssi, but graphical.
 .
 This package provides only the client component compiled with KDE4 support.

Package: quassel-kde4
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libqt4-sql-sqlite, quassel-data-kde4 (= ${source:Version}), dbus-x11, kdebase-runtime, kdelibs5, gawk
Conflicts: quassel
Description: distributed IRC client - KDE-based monolithic core+client
 Quassel is a modern, cross-platform, distributed IRC client, meaning that
 one or more clients can attach to and detach from the central core. It's
 much like the popular combination of screen and a text-based IRC client
 such as WeeChat or irssi, but graphical.
 .
 This package provides the monolithic client compiled with KDE4 support.
 It contains both core and client and can be used like a traditional IRC
 client, without requiring an external core.

Package: quassel-data-kde4
Architecture: all
Depends: ${misc:Depends}
Conflicts: quassel (<< 0.3.1-1), quassel-data
Replaces: quassel (<< 0.3.1-1)
Description: distributed IRC client - shared data (KDE4 version)
 Quassel is a modern, cross-platform, distributed IRC client, meaning that
 one or more clients can attach to and detach from the central core. It's
 much like the popular combination of screen and a text-based IRC client
 such as WeeChat or irssi, but graphical.
 .
 This package provides files used by the KDE4-based Quassel client
 packages.
